VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Person"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Name As String

' This person's preferences.
Public Preferences As Collection

' This person's assignment.
Public Assignment As Integer

' Return a string representing the Person's assignment.
Public Function AssignmentString() As String
    AssignmentString = Name & " (" & Value & ")"
End Function
' Initialize the Person from a string containing a name and preferences.
Public Sub InitializeValues(ByVal txt As String)
Dim values() As String
Dim i As Integer

    values = Split(txt, " ")
    Name = values(0)
    Set Preferences = New Collection
    For i = 0 To NUM_PREFERENCES - 1
        Preferences.Add values(i + 1)
    Next i

    Assignment = -1
End Sub
' Return this Person's assignment value.
Public Function Value() As Integer
    If Assignment < 0 Then
        Value = NO_ASSIGNMENT
    Else
        Value = ValueOf(Assignment)
    End If
End Function

' Return this person's value for the choice.
' Return DONT_WANT if the person did not list this choice.
Public Function ValueOf(ByVal choice As Integer) As Integer
Dim i As Integer

    ValueOf = DONT_WANT
    For i = 1 To Preferences.Count
        If Preferences.Item(i) = choice Then
            ValueOf = i
            Exit For
        End If
    Next i
End Function


